## com.google.common.io
Interface LineProcessor<T>

    @Beta
    public interface LineProcessor<T>

A callback to be used with the streaming `readLines` methods.

`processLine(java.lang.String)` will be called for each line that is read, and should return `false` when you want to stop processing.

Since:
  1.0
Author:
  Miles Barr

Method Summary
`T` `getResult()` Return the result of processing all the lines.
`boolean` `processLine(String line)` This method will be called once for each line.

Method Detail

### processLine

    boolean processLine(String line)
                        throws IOException

  This method will be called once for each line.

  Parameters:
    `line` - the line read from the input, without delimiter
  Returns:
    true to continue processing, false to stop
  Throws:
    `IOException`

### getResult

    T getResult()

  Return the result of processing all the lines.

Copyright © 2010-2012. All Rights Reserved.